<div class="modal-header">
    <h3>I'm a modal!</h3>
</div>
<div class="modal-body">
    <form name="myForm" novalidate>
        <input type="email" value="hello">
    </form>
</div>
<div class="modal-footer">
    <button class="btn btn-primary" ng-click="submit()">OK</button>
    <button class="btn btn-warning" ng-click="cancel()">Cancel</button>
</div>